//////////////////////////////////////////////////////////////////////
//
// Person.h: interface for the Person class.
// Kyoung Shin Park
//
//////////////////////////////////////////////////////////////////////
#ifndef __PERSON_H__
#define __PERSON_H__
#include <string>
using namespace std;

class Person
{
public:
	// constructor & destructor
	Person() : m_Name(""), m_Age(0) { }
	Person(std::string name, int age) : m_Name(name), m_Age(age) { }
	~Person() {  }

	// member function
	void SetPerson(std::string name, int age);	// default parameter
	void Print();					

	inline void SetName(std::string name) { m_Name = name; }	// inline function
	inline void SetAge(int age) { m_Age = age; }
	inline std::string GetName() { return m_Name; }		
	inline int GetAge() { return m_Age; }

	friend ostream& operator<<(ostream& os, const Person& p); // operator<< overloading

protected:
	// member variable
	std::string m_Name;
	int m_Age;
};

#endif